#include<iostream>
#include<string>
using namespace std;
int main(){
    int k;
    string s;
    while(cin>>k){
        cin >> s;
        if(k<s.size()){
            for (int i = 0; i < k;i++){
                cout << s[i];
            }
            cout << "..." << endl;
        }
        else
            cout << s << endl;
    }
    return 0;
}